GuidesRecipesAPI ReferenceChangelog
Log In
Changelog
Improved

11.27.0 Changes

GET /v1/cloud-information

Tags: cloud-information

Response 200 — Properties added

PropertyTypeDescription
fedRampInstancebooleanInformation whether this instance is a FedRAMP instance
fipsEnabledbooleanInformation whether this instance has FIPS enabled
highComplianceInstancebooleanInformation whether this instance is a High Compliance instance

GET /v1/groups

Tags: groups

Parameter changed: filter (query)

The filter parameter description was updated to add support for a new filterable field groupPlatformId. The supported operators for this field are =in= (match any in list) and =out= (exclude all in list).

New example:

filter=groupPlatformId=in=('uuid1','uuid2','uuid3')

GET /v1/jamf-remote-assist/session

Tags: jamf-remote-assist

Response added

Status CodeDescription
404Jamf Remote Assist is not available on this instance.

GET /v1/jamf-remote-assist/session/{id}

Tags: jamf-remote-assist

Response description changed: 404

  • Before: Session with given id does not exist
  • After: Session history item not found. This may occur when the session with the given id does not exist, or when Jamf Remote Assist is not available on this instance.

GET /v1/login-customization

Tags: login-customization

Response 200 — Properties added

PropertyType
fedRampInstanceboolean
highComplianceInstanceboolean

GET /v2/jamf-remote-assist/session

Tags: jamf-remote-assist

Response added

Status CodeDescription
404Jamf Remote Assist is not available on this instance.

POST /v2/jamf-remote-assist/session/export

Tags: jamf-remote-assist

Response added

Status CodeDescription
404Jamf Remote Assist is not available on this instance.

GET /v2/jamf-remote-assist/session/{id}

Tags: jamf-remote-assist

Response description changed: 404

  • Before: Session with given id does not exist
  • After: Session history item not found. This may occur when the session with the given id does not exist, or when Jamf Remote Assist is not available on this instance.

PATCH /v2/mobile-devices/{id}

Tags: mobile-devices

Response 200 — Property type changed

PropertyOld TypeNew Type
siteV1SiteV1SiteBase

The site property in the response now references the new V1SiteBase schema (containing only id and name) instead of the full V1Site schema.


POST /v3/sso/disable

Tags: sso-settings

Response added

Status CodeDescription
409SSO cannot be disabled due to existing dependencies to it. This might happen if there are enrollment customizations depending on it or if SSO is the only authentication method available for the users.